{% extends "base.html" %}
{% load i18n %}

{% block title %}{% trans 'Votations' %}{% endblock %}

{% block content %}
<div class="container">
    <div class="row card-row">
        <div class="col-12 mx-auto my-auto">
            <div class="card">
                <div class="card-header text-center">
                    <h1>{% trans "Votations" %}</h1>
                </div>
                <div class="card-body">
                    <table id="jsTable" class="table table-striped nowrap" style="width: 100%;">
                        <thead>
                            <tr>
                                <th scope="col">Votation ID</th>
                                <th scope="col">{% trans "Topic" %}</th>
                                <th scope="col">{% trans "Start Date" %}</th>
                                <th scope="col">{% trans "End Date" %}</th>
                                <th scope="col">{% trans "Type" %}</th>
                                <th scope="col">{% trans "Status" %}</th>
                                <th scope="col">
                                    {% if perms.votations.manage_votations %}
                                    <a class="btn btn-sm btn-success" data-toggle="tooltip" title="{% trans 'Create Votation' %}"
                                        href="{% url 'votations:create' %}?next={{ request.get_full_path }}">
                                        <i class="fas fa-plus fa-fw"></i>
                                    </a>
                                    <a class="btn btn-sm btn-info" data-toggle="tooltip" title="{% trans 'Public List' %}"
                                        href="{% url 'votations:public_list' %}">
                                        <i class="fas fa-list fa-fw"></i>
                                    </a>
                                    {% endif %}
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for votation in votation_list %}
                            <tr>
                                <td>{{ votation.pk }}</td>
                                <td>{{ votation.topic }}</td>
                                <td>{{ votation.start_date }}</td>
                                <td>{{ votation.end_date }}</td>
                                <td>{{ votation.get_votation_type_display }}</td>
                                <td>{{ votation.get_votation_status_display }}</td>
                                <td>
                                    {% if perms.votations.manage_votations %}
                                    <a class="btn btn-sm btn-info" data-toggle="tooltip" title="{% trans 'View Votation' %}"
                                        href="{% url 'votations:detail' pk=votation.pk %}">
                                        <i class="fas fa-eye fa-fw"></i>
                                    </a>
                                    {% endif %}
                                    {% if perms.votations.manage_votations and votations.get_votation_status == "pending" %}
                                    <a class="btn btn-sm btn-warning" data-toggle="tooltip" title="{% trans 'Edit Votation' %}"
                                        href="{% url 'Votations:edit' pk=votation.pk %}?next={{ request.get_full_path }}">
                                        <i class="fas fa-pen fa-fw"></i>
                                    </a>
                                    {% endif %}
                                    {% if perms.votations.manage_votations %}
                                    <a class="btn btn-sm btn-danger" data-toggle="tooltip" title="{% trans 'Delete Votation' %}"
                                        href="{% url 'votations:delete' pk=votation.pk %}?next={{ request.get_full_path }}">
                                        <i class="fas fa-trash fa-fw"></i>
                                    </a>
                                    {% endif %}
                                </td>
                            </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                    <div class="container-fluid no-gutters">
                        <div class="row">
                            <a class="btn btn-outline-secondary {{ previous_btn.active }}" data-toggle="button"
                                aria-pressed="{{ previous_btn.pressed }}" href="{% url 'votations:list' %}{{ previous_btn.href }}">
                                {{ previous_btn.text }} <span class="badge badge-success font-weight-normal"><i
                                        class='fas fa-history fa-fw'></i> CLOSED VOTATIONS</span>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock %}